using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class InputHandler
    {
        IFWInputs controller;
        public InputHandler(IFWInputs controller)
        {
            this.controller = controller;
        }

        public InputHandler KeyBoardType(char c)
        {
            controller.KeyBoardType(c);
            return new InputHandler(controller);
        }

        public InputHandler MouseScroll(int x)
        {
            controller.MouseScroll(x);
            return new InputHandler(controller);
        }

        public InputHandler MouseJump(int x,int y)
        {
            controller.MouseJump(x, y);
            return new InputHandler(controller);
        }
        public InputHandler KeyBoardSpecialType(EnumProviderPressSpecialKeys Key)
        {
            controller.KeyBoardTypeSpecialKeys(Key);
            return new InputHandler(controller);
        }
        public InputHandler MouseClick()
        {
            controller.MouseClick();
            return new InputHandler(controller);
        }
    }
}
